CSM: "Not a decrypted GP4 executable"

Posted by Schrodinger12 
CSM: "Not a decrypted GP4 executable"
Date: October 17, 2021 12:04AM
Posted by: Schrodinger12
I am new to GP4 and I have recently downloaded it (The pre-patched version from GP4 Central), I have also downloaded ZaZ tools. However, on my first attempt at using CSM it came up with the error "Not a decrypted GP4 executable". Following that I've attempted to reinstall ZaZ tools and GP4 in various directories on my computer and following alternative tutorials, but as of yet I have had no luck and keep getting the same error message.Due to this I imagine it has something to do with myself making a repeated error every time I've installed either GP4 or ZaZ tools. If anyone has any suggestions on where I could be going wrong or if anyone knows of any forums that already cover this, that would be of much help. Apologies if this is down to a simple mistake I've made and not picked up on.
Re: CSM: "Not a decrypted GP4 executable"
Date: October 17, 2021 12:42AM
Posted by: mortal
[www.grandprixgames.org]


[www.mediafire.com] Some say you should click it, you know you want to. :-) [www.gp4central.com] <----GP4 Central
Re: CSM: "Not a decrypted GP4 executable"
Date: October 17, 2021 01:34AM
Posted by: Schrodinger12
Thanks, however I have unfortunately already tried that and the same error message popped up.
Re: CSM: "Not a decrypted GP4 executable"
Date: October 17, 2021 01:59AM
Posted by: mortal
Be patient, someone will have a solution.


[www.mediafire.com] Some say you should click it, you know you want to. :-) [www.gp4central.com] <----GP4 Central
Re: CSM: "Not a decrypted GP4 executable"
Date: October 17, 2021 05:14PM
Posted by: TGF1Driver2
Schrodinger12 schrieb:
-------------------------------------------------------
> I am new to GP4 and I have recently downloaded it
> (The pre-patched version from GP4 Central), I have
> also downloaded ZaZ tools. However, on my first
> attempt at using CSM it came up with the error
> "Not a decrypted GP4 executable". Following that
> I've attempted to reinstall ZaZ tools and GP4 in
> various directories on my computer and following
> alternative tutorials, but as of yet I have had no
> luck and keep getting the same error message.Due
> to this I imagine it has something to do with
> myself making a repeated error every time I've
> installed either GP4 or ZaZ tools. If anyone has
> any suggestions on where I could be going wrong or
> if anyone knows of any forums that already cover
> this, that would be of much help. Apologies if
> this is down to a simple mistake I've made and not
> picked up on.

You maybe need to get a fresh decrypted GP4.exe 1.02 to the GP4 main directory. Then it might work fine, but it's just a guess.
Re: CSM: "Not a decrypted GP4 executable"
Date: October 17, 2021 05:30PM
Posted by: quickslick
if you've read correct, then you should've seen, that mortal already provided a link for the exe
Re: CSM: "Not a decrypted GP4 executable"
Date: October 17, 2021 05:33PM
Posted by: TGF1Driver2
quickslick schrieb:
-------------------------------------------------------
> if you've read correct, then you should've seen,
> that mortal already provided a link for the exe

I didn't clicked on the link before. Well, then I also cannot help you, I'm sorry.
Re: CSM: "Not a decrypted GP4 executable"
Date: October 17, 2021 11:31PM
Posted by: Noog
Are you using ZazTools v1.27?

If you are, you could try uninstalling it and install 1.26 instead.
Never had a problem until I upgraded and was never able to fix it, but as soon as I went back to 1.26 the problem went away.
Re: CSM: "Not a decrypted GP4 executable"
Date: October 18, 2021 09:01AM
Posted by: Carl_gpgames
Quote
Noog
Are you using ZazTools v1.27?

If you are, you could try uninstalling it and install 1.26 instead.
Never had a problem until I upgraded and was never able to fix it, but as soon as I went back to 1.26 the problem went away.

Some mods need to be reinstalled with the latest version of csm, no idea why.



GP Files | GP Videos
Re: CSM: "Not a decrypted GP4 executable"
Date: October 18, 2021 02:11PM
Posted by: Noog
Carl_gpgames Wrote:
-------------------------------------------------------
>
> Some mods need to be reinstalled with the latest
> version of csm, no idea why.

Perhaps.
I don't use CSM, but most of the mods were released before 1.27, so I'm guessing it probably wouldn't matter in most cases.
Re: CSM: "Not a decrypted GP4 executable"
Date: October 18, 2021 04:44PM
Posted by: wrs
just install VIRTUAL CLONE DRIVE nothing else. Then run CSM ok
Re: CSM: "Not a decrypted GP4 executable"
Date: October 18, 2021 06:54PM
Posted by: n00binio
I tried to replicate what you did:
downloaded GP4 from GP4 central (the patched 7zip version)
downloaded zaz tools 1.26 from the download area on this site (https://www.grandprixgames.org/read.php?23,913188)

Installed/unpacked both and it worked as intended. The only things I can think of: don't install to programs x86 or any other "system" directory and start gp4 once before using csm. GP4 creates some settings files at the first start so make sure to run it in its vanilla state at least once.

Regarding csm versions: I think unpacking a csm file always works and if the mod then says it requires 1.27 you can always go into one of the mod's config files and change the minimum version to 1.26. Works in most cases afaik.

Edit: Zaz tools 1.27b works as well. Be aware that it seems to install automatically to a directory that is "parallel" to Gp4.



used to be GPGSL's Nick Heidfeld



Edited 1 time(s). Last edit at 10/18/2021 06:59PM by n00binio.
Re: CSM: "Not a decrypted GP4 executable"
Date: October 20, 2021 11:06PM
Posted by: Schrodinger12
Thank you for your efforts, however despite reinstalling it a number of times according to instructions on this forum, the problem persists. As an additional note, after I select "No" on the "Not a decrypted GP4 executable" error, it comes up with another tab stating that i should install the 9.6 patch. I have attempted to install the 9.6 patch, but it says that it can't find GP4 on this machine. If anyone is aware of a way to fix this please do let me know. Once again, thanks for the help.
Re: CSM: "Not a decrypted GP4 executable"
Date: October 21, 2021 12:38AM
Posted by: mortal
The ready to play iso already has the patch, so you don't need to install again.

When you do a re-install, you need to remove the redundant registry entries using CCleaner and reboot. Then install from the iso and run once. Then install gpx_patch CSM 1.26. Install everything to c/GP4 not program files.


[www.mediafire.com] Some say you should click it, you know you want to. :-) [www.gp4central.com] <----GP4 Central



Edited 1 time(s). Last edit at 10/21/2021 12:45AM by mortal.
Sorry, only registered users may post in this forum.

Click here to login

Maintainer: mortal, stephan | Design: stephan, Lo2k | Moderatoren: mortal, TomMK, Noog, stephan | Downloads: Lo2k | Supported by: Atlassian Experts Berlin | Forum Rules | Policy

Support grandprixgames.org: Tesla supercharging referral link. Get 1000 miles free supercharger